# Class ValidGroupsConfig

Namespace
  adas_core.Domain.Models.AppSettings

Assembly
  adas-core.Domain.dll

Represents a configuration collection of ValidGroup instances, exposing them as a strongly-typed list.

    public class ValidGroupsConfig : List<ValidGroup>, IList<ValidGroup>, ICollection<ValidGroup>, IReadOnlyList<ValidGroup>, IReadOnlyCollection<ValidGroup>, IEnumerable<ValidGroup>, IList, ICollection, IEnumerable

Inheritance
  object
  List<ValidGroup>
  ValidGroupsConfig

Implements
  IList<ValidGroup>
  ICollection<ValidGroup>
  IReadOnlyList<ValidGroup>
  IReadOnlyCollection<ValidGroup>
  IEnumerable<ValidGroup>
  IList
  ICollection
  IEnumerable

Inherited Members
  List<ValidGroup>.Add(ValidGroup)
  List<ValidGroup>.AddRange(IEnumerable<ValidGroup>)
  List<ValidGroup>.AsReadOnly()
  List<ValidGroup>.BinarySearch(int, int, ValidGroup, IComparer<ValidGroup>)
  List<ValidGroup>.BinarySearch(ValidGroup)
  List<ValidGroup>.BinarySearch(ValidGroup, IComparer<ValidGroup>)
  List<ValidGroup>.Clear()
  List<ValidGroup>.Contains(ValidGroup)
  List<ValidGroup>.ConvertAll<TOutput>(Converter<ValidGroup, TOutput>)
  List<ValidGroup>.CopyTo(int, ValidGroup[], int, int)
  List<ValidGroup>.CopyTo(ValidGroup[])
  List<ValidGroup>.CopyTo(ValidGroup[], int)
  List<ValidGroup>.EnsureCapacity(int)
  List<ValidGroup>.Exists(Predicate<ValidGroup>)
  List<ValidGroup>.Find(Predicate<ValidGroup>)
  List<ValidGroup>.FindAll(Predicate<ValidGroup>)
  List<ValidGroup>.FindIndex(int, int, Predicate<ValidGroup>)
  List<ValidGroup>.FindIndex(int, Predicate<ValidGroup>)
  List<ValidGroup>.FindIndex(Predicate<ValidGroup>)
  List<ValidGroup>.FindLast(Predicate<ValidGroup>)
  List<ValidGroup>.FindLastIndex(int, int, Predicate<ValidGroup>)
  List<ValidGroup>.FindLastIndex(int, Predicate<ValidGroup>)
  List<ValidGroup>.FindLastIndex(Predicate<ValidGroup>)
  List<ValidGroup>.ForEach(Action<ValidGroup>)
  List<ValidGroup>.GetEnumerator()
  List<ValidGroup>.GetRange(int, int)
  List<ValidGroup>.IndexOf(ValidGroup)
  List<ValidGroup>.IndexOf(ValidGroup, int)
  List<ValidGroup>.IndexOf(ValidGroup, int, int)
  List<ValidGroup>.Insert(int, ValidGroup)
  List<ValidGroup>.InsertRange(int, IEnumerable<ValidGroup>)
  List<ValidGroup>.LastIndexOf(ValidGroup)
  List<ValidGroup>.LastIndexOf(ValidGroup, int)
  List<ValidGroup>.LastIndexOf(ValidGroup, int, int)
  List<ValidGroup>.Remove(ValidGroup)
  List<ValidGroup>.RemoveAll(Predicate<ValidGroup>)
  List<ValidGroup>.RemoveAt(int)
  List<ValidGroup>.RemoveRange(int, int)
  List<ValidGroup>.Reverse()
  List<ValidGroup>.Reverse(int, int)
  List<ValidGroup>.Slice(int, int)
  List<ValidGroup>.Sort()
  List<ValidGroup>.Sort(IComparer<ValidGroup>)
  List<ValidGroup>.Sort(Comparison<ValidGroup>)
  List<ValidGroup>.Sort(int, int, IComparer<ValidGroup>)
  List<ValidGroup>.ToArray()
  List<ValidGroup>.TrimExcess()
  List<ValidGroup>.TrueForAll(Predicate<ValidGroup>)
  List<ValidGroup>.Capacity
  List<ValidGroup>.Count
  List<ValidGroup>.this[int]
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  CollectionsUtils.IsNullOrEmpty<T>(List<T>?)
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

This type inherits from List<T> where T is ValidGroup, providing standard list operations for managing the configured valid groups.

## Methods

### IsValid(User?)

Determines whether the specified user is considered valid by checking that it is not null.

    public bool IsValid(User? user)

#### Parameters

`user` User

  The user instance to validate.

#### Returns

bool

  true if `user` is not null; otherwise, false.